# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Jiri Slaby <jslaby@suse.de>
# Copyright (c) 2011-2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via packman@links2linux.de

%define codecsdir %{_libdir}/codecs

Name:           mplayer2
%define pkg_version 2.0
%define rev 20120517
Version:        %{pkg_version}+r%{rev}
Release:        1.1
Summary:        Advanced General Purpose Video Player
Source:         mplayer2-%{rev}-f63dbaddb6de6add6d987dc28ca8771aca230451.tar.bz2
Patch1:         mplayer2-rename_dirs_to_mplayer2.patch
Source99:       mplayer2-rpmlintrc
URL:            http://www.mplayer2.org/
Group:          Productivity/Multimedia/Video/Players
License:        GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libva-devel libvdpau-devel
BuildRequires:  python
BuildRequires:  yasm
BuildRequires:  alsa-devel
BuildRequires:  libbs2b-devel
BuildRequires:  cdparanoia-devel
BuildRequires:  DirectFB-devel
BuildRequires:  enca-devel
BuildRequires:  fribidi-devel
BuildRequires:  giflib-devel
BuildRequires:  ladspa-devel
BuildRequires:  liba52-devel
BuildRequires:  libcaca-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdca-devel
BuildRequires:  libdv-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libfaac-devel
BuildRequires:  libfaad-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  libmng-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libmpg123-devel
BuildRequires:  libpng-devel
BuildRequires:  libpulse-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libvpx-devel
BuildRequires:  libvstream-client-devel
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  lirc-devel
BuildRequires:  Mesa-devel
BuildRequires:  SDL-devel
BuildRequires:  speex-devel 
BuildRequires:  xorg-x11-devel
BuildRequires:  freetype2-devel
BuildRequires:  fontconfig-devel
BuildRequires:  fribidi-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libass-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  lirc-devel
BuildRequires:  jack-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libbluray-devel
BuildRequires:  libpulse-devel
BuildRequires:  gcc make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool
BuildRequires:  update-desktop-files
# barfs for 64bit portability issues in purely 32bit code (wine, and WIN32 loader):


%description
The mplayer2 project is an advanced general-purpose video player. A fork of the
original MPlayer project it contains significant further development and
supports a number of features not available in other Unix players.

%package -n mplayer2-as-mplayer
Summary:        Use mplayer2 as mplayer
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Conflicts:      MPlayer

%description -n mplayer2-as-mplayer
The mplayer2 project is an advanced general-purpose video player. A fork of the
original MPlayer project it contains significant further development and
supports a number of features not available in other Unix players.

This package adds "mplayer" symbolic links to mplayer2.

%lang_package

%prep
%setup -q -n "mplayer2"
%patch1

%build
./configure \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --datadir="%{_datadir}/mplayer2" \
    --mandir="%{_mandir}" \
    --confdir="%{_sysconfdir}/mplayer2" \
    --libdir="%{_libdir}" \
    --codecsdir="%{codecsdir}" \
    --disable-bitmap-font \
    --disable-directfb \
    --disable-dvdread-internal \
    --disable-libdvdcss-internal \
    --disable-libvorbis \
    --disable-mad \
    --disable-openal \
    --disable-svga \
    --disable-termcap \
    --disable-theora \
    --disable-xmms \
    --enable-bl \
    --enable-debug \
    --enable-joystick \
    --enable-runtime-cpudetection \
    --language=all

%__make %{?_smp_flags} V=1

%install
%makeinstall

%__install -d "%{buildroot}%{_sysconfdir}/mplayer2"

%__mv "%{buildroot}%{_bindir}/mplayer" \
      "%{buildroot}%{_bindir}/mplayer2" 

%__mv "%{buildroot}%{_mandir}/man1/mplayer.1" \
      "%{buildroot}%{_mandir}/man1/mplayer2.1"

find "%{buildroot}%{_mandir}/" -type f -name mplayer.1 | while read f; do
    ff="${f%.1}"
    ff="${ff%mplayer}mplayer2.1"
    %__mv -v "$f" "$ff"
done

echo -n >lang
L="$PWD/lang"
pushd "%{buildroot}%{_mandir}"
find . -mindepth 3 -type f -name mplayer2.1 | while read f; do
    l="${f%%/man1/mplayer2.1}"
    l="${l##*/}"
    [ -n "$l" ] || continue
    echo "%doc %lang($l) %{_mandir}/$l/man1/mplayer2.1*" >>"$L"
done
popd

%__ln_s mplayer2 "%{buildroot}%{_bindir}/mplayer"
%__ln_s -f mplayer2.1%{ext_man} "%{buildroot}%{_mandir}/man1/mplayer.1%{ext_man}"
%__ln_s mplayer2 "%{buildroot}%{_sysconfdir}/mplayer"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE Copyright
%dir %{_sysconfdir}/mplayer2
%{_bindir}/mplayer2
%doc %{_mandir}/man1/mplayer2.1%{ext_man}

%files -n mplayer2-as-mplayer
%defattr(-,root,root)
%dir %{_sysconfdir}/mplayer
%{_bindir}/mplayer
%doc %{_mandir}/man1/mplayer.1%{ext_man}

%files lang -f lang
%defattr(-,root,root)

%changelog
* Sun Jun 17 2012 jslaby@suse.de
- update to 20120517
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- update to 20120414
- dropped patches, as they have been merged upstream:
  * demux-lavf-update-growing-file-size-info-for-AVSEEK_SIZE.patch
  * vo-reject-vo_redraw_frame-if-no-frames-have-been-drawn.patch
* Tue Feb 28 2012 jslaby@suse.de
- fix crash on aspect ratio change
- build debuginfo packages. They are handy at crashes.
- mplayer_options are not used by the build system anymore. Pass
  the options to configure directly (this turns runtime
  cpudetection back on)
* Sun Feb 26 2012 jslaby@suse.de
- allow seeks for growing files past the initial size
* Thu Feb 23 2012 pascal.bleser@opensuse.org
- update to 637d6b7c8e12b4f71ccbc64f73a402b573e71697 (20120228)
* Fri Feb 10 2012 jslaby@suse.cz
- add some buildrequires to enable many filters and outputs
* Fri May 27 2011 pascal.bleser@opensuse.org
- add --enable-runtime-cpudetection, thanks to Martin Herkt for the hint
* Mon Mar 28 2011 pascal.bleser@opensuse.org
- update to 2.0:
  * better pause handling
  * improved Matroska support
  * much better VDPAU support
  * precise seeking
  * many bugfixes
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (1.99+2.0rc2)
